SteghideError Class Reference

`#include <SteghideError.h>`

Inheritance diagram for SteghideError:

## Public Member Functions

| SteghideError (void)
| SteghideError (std::string msg)
| SteghideError (const char *msgfmt,...)
virtual void | printMessage (void) const
Public Member Functions inherited from MessageBase
| MessageBase (void)
| MessageBase (std::string msg)
| MessageBase (const char *msgfmt,...)
virtual | ~MessageBase ()
const std::string & | getMessage (void) const
void | setMessage (std::string msg)
void | setNewline (bool prnl)
const std::string | getNewline (void) const
void | setMessage (const char *msgfmt,...)

## Additional Inherited Members

Protected Member Functions inherited from MessageBase
std::string | compose (const char *msgfmt,...) const
std::string | vcompose (const char *msgfmt, va_list ap) const
Static Protected Attributes inherited from MessageBase
static const unsigned int | MsgMaxSize = 512

## Constructor & Destructor Documentation

## SteghideError() [1/3]

SteghideError::SteghideError | ( | void |  | ) |

## SteghideError() [2/3]

SteghideError::SteghideError | ( | std::string | msg | ) |

## SteghideError() [3/3]

SteghideError::SteghideError | ( | const char * | msgfmt,
|  |  | ... )

## Member Function Documentation

## printMessage()

void SteghideError::printMessage | ( | void |  | ) | const

virtual

Implements MessageBase.

Reimplemented in ArgError, AssertionFailed, CorruptDataError, and NotImplementedError.

The documentation for this class was generated from the following files:

- SteghideError.h
- SteghideError.cc